
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好？ / iVAN</title>

    <meta name="description" content="C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好？ 问题描述 C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好? //brass.h -- bank account classes#ifndef BRASS_H_#define BRASS_H_#include //brass account classclass Brass{private: std::string fullName; //x姓名 long acctNum; //账号 double balance; //当前结余public: Brass(const std::strin">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好？        </dt>
<dd>//brass.h  -- bank account classes<br />#ifndef BRASS_H_<br />#define BRASS_H_<br />#include</p>
<p>//brass account class<br />class Brass<br />{<br />private:<br />    std::string fullName;           //x姓名<br />    long acctNum;                   //账号<br />    double balance;                 //当前结余<br />public:<br />    Brass(const std::string &amp; s = ""Nullbody"" long an = -1 double bal = 0.0);    //创建账号<br />    void Deposit(double amt);                          //存款<br />    virtual void ViewAcct() const;                      //显示账号情况<br />    virtual void Withdraw(double amt);            //取款<br />    double Balance() const;                              //获取当前余额<br />    virtual ~Brass(){}<br />};</p>
<p>//brass plus account class<br />class BrassPlus : public Brass<br />{<br />private:<br />    double maxLoan;           //透支上限<br />    double rate;                   //利率<br />    double owesBank;          //当前透支总额<br />public:<br />    BrassPlus(const std::string &amp; s = ""Nullbody"" long an = -1 double bal = 0.0 double ml = 500 double r = 0.11125);<br />    BrassPlus(const Brass &amp; ba double ml = 500 double r = 0.11125);<br />    virtual void ViewAcct() const;                          //显示账号情况<br />    virtual void Withdraw(double amt);                 //取款<br />    void ResetMax(double m) { maxLoan = m; }    //修改透支上限<br />    void ResetRate(double r) { rate = r; }                //修改利率<br />    void ResetOwes() { owesBank = 0; }                 //还款，，欠款置零<br />};</p>
<p>#endif</p>
<p>上面是c++primer plus 第六版的程序清单13.7</p>
<p>想问问，在基类Brass中设为虚的两个方法 viewacct() 和 withdraw()，在派生类中为什么也设为虚的，我把派生类中的关键字virtual 删掉也没有什么编译和运行的问题……</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>两种语法的含义不同。如果你派生类不写virtual了，那么它再被派生，就不能覆盖这个方法。特别是，当你使用多继承的时候，如果从两个类继承，它们没有virtual修饰的话，就会有问题。</p>
<p>解决方案二：    <br />如果你还可能有第三层继承，那最好还是设置为virtual，这也要看情况，如果不需要复写的就不需要了</p>
<p>解决方案三：    <br />取决于你的类是否还要被继承。<br />不过一般做法是继续保持为virtual。这样可以以后扩展，继续重载</p>
<p>解决方案四：    <br />最好一般写成虚的把，方便修改</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:07:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%9f%ba%e7%b1%bb/" title="基类">基类</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C+++中的基类的虚方法在派生类中设为虚的还是非虚方法好？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGAWrOM.html" rel="bookmark">c&plus;&plus;-C&plus;&plus; 求大神帮忙修改段代码，信息管理系统，把原有的类拆成四个派生类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++ 求大神帮忙修改段代码,信息管理系统,把原有的类拆成四个派生类 http://pan.baidu.com/s/1o69SUWq 这里面是头文件和源文件和说明 求大神帮帮忙 解决方案 链接不存在了 提供一个思路吧,也就把工作细分化.把功能具体化.举一个简单例子 假如有一个图书管理类. 你可以拆分为:借书类.还书类.查书类等,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOYGWM.html" rel="bookmark">在派生类中对虚方法进行重载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先让我们回顾一下普通的方法重载.普通的方法重载指的是:类中两个以上的方法(包括隐藏的继承而来的方法),取的名字相同,只要使用的参数类型或者参数个数不同,编译器便知道在何种情况下应该调用哪个方法. 而对基类虚方法的重载是函数重载的另一种特殊形式.在派生类中重新定义此虚函数时,要求的是方法名称.返回值类型.参数表中的参数个数.类型.顺序都必须与基类中的虚函数完全一致.在派生类中声明对虚方法的重载,要求在声明中加上override关键字,而且不能有new,static或virtual修饰符. 还是让我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZVQkb.html" rel="bookmark">详解C&plus;&plus;中基类与派生类的转换以及虚基类&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++基类与派生类的转换 在公用继承.私有继承和保护继承中,只有公用继承能较好地保留基类的特征,它保留了除构造函数和析构函数以外的基类所有成员,基类的公用或保护成员的访问权限在派生类中全部都按原样保留下来了,在派生类外可以调用基类的公用成员函数访问基类的私有成员.因此,公用派生类具有基类的全部功能,所有基类能够实现的功能, 公用派生类都能实现.而非公用派生类(私有或保护派生类)不能实现基类的全部功能(例如在派生类外不能调用基类的公用成员函数访问基类的私有成员).因此,只有公用派生类才是基类真正的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemdNjz.html" rel="bookmark">详谈C&plus;&plus;中虚基类在派生类中的内存布局&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天重温C++的知识,当看到虚基类这点的时候,那时候也没有太过追究,就是知道虚基类是消除了类继承之间的二义性问题而已,可是很是好奇,它是怎么消除的,内存布局是怎么分配的呢?于是就深入研究了一下,具体的原理如下所示: 在C++中,obj是一个类的对象,p是指向obj的指针,该类里面有个数据成员mem,请问obj.mem和p-&gt;mem在实现和效率上有什么不同. 答案是:只有一种情况下才有重大差异,该情况必须满足以下3个条件: (1).obj 是一个虚拟继承的派生类的对象 (2).mem是从虚拟基类派			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5W3yqb.html" rel="bookmark">C&plus;&plus;中基类和派生类之间的转换实例教程&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲解了C++中基类和派生类之间的转换.对于深入理解C++面向对象程序设计有一定的帮助作用.此处需要注意:本文实例讲解内容的前提是派生类继承基类的方式是公有继承,关键字public.具体分析如下: 以下程序为讲解示例: #include&lt;iostream&gt; using namespace std; class A { public: A(int m1, int n1):m(m1), n(n1){} void display(); private: int m; int n; }; voi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QRaJp.html" rel="bookmark">虚函数-小白求助c&plus;&plus;中一些关于多态的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 小白求助c++中一些关于多态的问题 1.基类的析构函数不是虚函数,在析构派生类的时候基类会不会被析构 2.基类的析构函数不是虚函数,在析构基类类的时候派生类会不会被析构 3.虚基类的析构函数是不是虚函数? 解决方案 1.无论基类的析构函数是不是虚函数,析构派生类的时候都会调用基类析构函数 2.如果从派生类被引用为基类然后析构,那么会导致只调用基类析构函数,而不调用派生类析构函数,所以基类析构函数应定义为虚函数 3.虚基类是解决多重继承时基类被多次继承导致的冲突的(如BC类继承于A,D类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKo8qb.html" rel="bookmark">《数据结构与算法：Python语言描述》一2&period;5类定义实例：学校人事管理系统中的类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5类定义实例:学校人事管理系统中的类 作为本章内容的总结,现在考虑一个综合性的实例:为一个学校的人员管理系统定义所需的表示人员信息的类,它们都是数据抽象. 2.5.1问题分析和设计 学校里有两大类人员,即学生和教职工,他们都是需要在系统里表示的对象.分析这两类人员需要记录的信息,可以看到这里有一些值得注意的情况:与两类人员有关的信息中存在一些公共部分,又有各自的特殊情况: 首先,作为人员信息,无论学生或教职工都有姓名.性别.年龄等公共信息.另外,为了便于学校管理,学生应该有一个学号,教职工也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVYgqz.html" rel="bookmark">解读C&plus;&plus;编程中派生类的构成和创建&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++派生类的构成 派生类中的成员包括从基类继承过来的成员和自己增加的成员两大部分.从基类继承的成员体现了派生类从基类继承而获得的共性,而新增加的成员体现了派生类的个性.正是这些新增加的成员体现了派生类与基类的不同,体现了不同派生类之间的区别. 在基类中包括数据成员和成员函数 (或称数据与方法)两部分,派生类分为两大部分:一部分是从基类继承来的成员,另一部分是在声明派生类时增加的部分.每一部分均分别包括数据成员和成员函数. 实际上,并不是把基类的成员和派生类自己增加的成员简单地加在一起就成为派生			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z44VN1z.html" rel="bookmark">C&plus;&plus;派生类与基类的转换规则&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				只有公用派生类才是基类真正的子类型,它完整地继承了基类的功能.基类与派生类对象之间有赋值兼容关系,由于派生类中包含从基类继承的成员,因此可以将派生类的值赋给基类对象,在用到基类对象的时候可以用其子类对象代替. 具体表现在以下几个方面: 派生类对象可以向基类对象赋值. 可以用子类(即公用派生类)对象对其基类对象赋值.如 A a1; //定义基类A对象a1 B b1; //定义类A的公用派生类B的对象b1 a1=b1; //用派生类B对象b1对基类对象a1赋值 在赋值时舍弃派生类自己的成员. 实际上			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M02K8z.html" rel="bookmark" class="title">不可思议&excl;每天2小时就搞定了网站优化&excl;</a>
					<div>
						以前在公司主要是做医院的网站优化,因为医疗网站优化竞争异常激烈,所以为了有很好的网站排名,主任每天一个网站让发30篇站内文章和120篇外链.但是看着同事做优化也没有那么忙,一天工作最多几个小时就搞定了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlj3Rz.html" rel="bookmark" class="title">浅谈在网页上显示当前日期的两种方法</a>
					<div>
						日期|网页|显示 在上网的时候,经常会在一些网页上看到当前的日期,如:&quot;今天是×年×月×日星期×&quot;等字样.为了显示系统当前的日期,一般采用脚本语言VBScript或JavaScri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEyB9b.html" rel="bookmark" class="title">DataGrid实例（简单易懂，无复杂功能，适合初学者）</a>
					<div>
						datagrid|初学 使ACCESS数据库,适合初学者,修改连接.查询语句后可直接运行,代码中有注明.       填充DataSet的步骤      1.使用数据库连接字符串创建数据库连接对象   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3O03b.html" rel="bookmark" class="title">Delphi GDI&plus;学习记录&lpar;8&rpar;&colon; 阴影画刷</a>
					<div>
						//阴影画刷 var g: TGPGraphics; hb: TGPHatchBrush; begin g := TGPGraphics.Create(Canvas.Handle); hb := TG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOdLOb.html" rel="bookmark" class="title">一次数据分析的全过程</a>
					<div>
						刚下完班的时候,在公司无聊的坐着,一位同事拿了一些数据给我,说让我实现一个类似交叉表格的统计报表. 源数据就是个日志文本信息 2008/1/11               02:14:33:181  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr2v5p.html" rel="bookmark" class="title">我是这么利用数据：1-1&plus;1-1&plus;&hellip;&equals;0&period;5&quest;</a>
					<div>
						说起这个算式,其实是个经典的问题,最近看到一个视频说得出结论:答案是0.5,我觉得挺有意思,上学 时我们都是这么算的: 1.把算式看做 (1-1)+(1-1)+(1-1)- 由于每个部分都是0,结果是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxlJAb.html" rel="bookmark" class="title">Linux Shell脚本系列教程（六）：数组和关联数组</a>
					<div>
						  这篇文章主要介绍了Linux Shell脚本系列教程(六):数组和关联数组,本文讲解了什么是数组和关联数组.定义打印普通数组.定义打印关联数组等内容,需要的朋友可以参考下 一.数组和关联数组 数组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGR1Np.html" rel="bookmark" class="title">Windows 8系统iSCSI发起程序？</a>
					<div>
						  知识点分析: iSCSI技术是一个供硬件设备使用的可以在IP协议的上层运行的SCSI指令集,这种指令集合可以实现在IP网络上运行SCSI协议,使其能够在诸如高速千兆以太网上进行路由选择.iSCSI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnN3p.html" rel="bookmark" class="title">Win8&period;1系统如何卸载IE浏览器？</a>
					<div>
						  IE浏览器是很多微软系统电脑默认安装的浏览器,我们曾经尝试过通过第三方软件来卸载IE浏览器,但是失败了.那么,如何卸载IE浏览器呢?今天,我们以Win8.1操作系统为例子,为大家演示一下卸载ie浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdoeqM.html" rel="bookmark" class="title">Mac文件怎么重命名</a>
					<div>
						  对于很多刚刚使用Mac的用户来说,一些基本操作还不是很了解.就比如不少人在问,Mac文件怎么重命名?我们在使用PC的时候,对文件重命名的时候都会习惯的使用鼠标右键,选择重命名选项来对文件进行重命名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ934z.html" rel="bookmark" class="title">基础03：原码、反码、补码</a>
					<div>
						本文介绍原码.反码.补码,以及为什么要使用补码.需要了解数学的取模运算. 机器数与真值 机器数,即数字在计算机中的二进制表示形式. 真值,第一位用+-表示数字的正负,其余为二进制数. 举个栗子:-3的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8jBZp.html" rel="bookmark" class="title">安装gr&lowbar;ieee802&period;11</a>
					<div>
						1.安装配置好gnuradio 2.安装log4cpp:sudo apt-get install liblog4cpp5-dev 3.安装IT++库:sudo apt-get install libi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eP7Nb.html" rel="bookmark" class="title">谷歌放弃Gears浏览器插件重点开发HTML5</a>
					<div>
						北京时间2月21日早间消息,据国外媒体报道,谷歌Gears项目经理伊安·费特(Ian Fette)周五通过博客宣布,谷歌将放弃对Gears项目的支持. Gears是一款浏览器插件,可以允许用户离线访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o5YWb.html" rel="bookmark" class="title">windows-各位高手能推荐一款c&plus;&plus;访问数据库的成熟的库吗，必须支持win和linux</a>
					<div>
						问题描述 各位高手能推荐一款c++访问数据库的成熟的库吗,必须支持win和linux 我们公司要开发一个软件,第一个版本将在windows上运行,随后会发布linux版本,这个软件可能连接到Oracl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y54ZM.html" rel="bookmark" class="title">ASP&period;NET跳转问题img标签onclick自动执行</a>
					<div>
						问题描述 ASP.NET跳转问题img标签onclick自动执行 最近在自学asp.net,试着写一个小小的登录功能,aspx页面是用的img标签的onclick事件,但是好像页面刚加载的时候就自动调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q0O0p.html" rel="bookmark" class="title">从今天开始</a>
					<div>
						每周必须写一篇技术文章,一篇随笔文章. 总结工作,总结生活.					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zeRoW7b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAzMjkxMDM5NDEyMDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcG9ZVzk0YVc5dVp6RXlNamM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zeRoW7b.html" rel="bookmark" class="title">让你提前认识软件开发&lpar;8&rpar;：memset&lpar;&rpar;与memcpy&lpar;&rpar;函数</a>
					<div>
						第1部分 重新认识C语言 memset()与memcpy()函数           软件项目中的代码,少则数千行,多则上万行,但并非无规律可循.阅读了那么多代码之后,我发现有两个函数出现的频率很高, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RYLJz.html" rel="bookmark" class="title">打印class文件的Java编译器内部的版本号</a>
					<div>
						  当改变了jdk版本时,在编译java时,会遇到Unsupported major.minor version错误.错误信息如下 : Unsupported major.minor version  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKw7lb.html" rel="bookmark" class="title">58同城首位CFO上任 或为上市做准备</a>
					<div>
						58同城近日透露公司CFO周浩已于日前走马上任(TechWeb配图)6月27日消息,国内分类信息网站58同城近日透露该公司首位CFO周浩已于日前上任.据透露,周浩于6月21日正式赴任58同城CFO,未 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeBKWb.html" rel="bookmark" class="title">icmp的报文，Destination Host Unreachable</a>
					<div>
						icmp的报文,Destination Host Unreachable的意思如下: http://www.corenetworkz.com/2009/05/destination-host-unre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR58xb.html" rel="bookmark" class="title">SAP HANA系统曝安全漏洞，静态密钥存在数据库里</a>
					<div>
						SAP知名内存数据库管理系统HANA被曝存在安全漏洞,其静态加密密钥居然存放在数据库中.SAP HANA是SAP有史以来发展最快的产品. 漏洞概述 ERPScan的研究人员在阿姆斯特丹举行的黑帽大会上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy6q1z.html" rel="bookmark" class="title">浅谈A5投稿的写作思路和灵感获取来源&lpar;上集&rpar;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 其实笔者一直喜欢在A5上投稿,A5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q9enp.html" rel="bookmark" class="title">PHP设计模式之责任链模式的深入解析&lowbar;php技巧</a>
					<div>
						责任链模式,其目的是组织一个对象链处理一个如方法调用的请求.当ConcreteHandler(具体的处理程序)不知道如何满足来自Client的请求时,或它的目的不是这个时,它会委派给链中的下一个Han ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYeYnb.html" rel="bookmark" class="title">百度推广过程怎样合理提取关键词</a>
					<div>
						首先为大家解释下什么是关键词,关键词是我们在推广中经常提到的一个名词,各位站长各位高手,就无需多看这段文字了^.^,关键词在百度推广的过程中是指企业用来寻找潜在客户的特征字.词.句子.网民搜索时,百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWWxZp.html" rel="bookmark" class="title">《机器人自动化：建模、仿真与控制》一一导读</a>
					<div>
						前言 Automation for RoboticsⅠ.1状态表达式与我们紧密相关的生物.经济和机械系统通常都可以用如下微分方程来描述: 假设该系统的时间t是连续的［JAU 05］, u(t)是系统的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWvaZp.html" rel="bookmark" class="title">互联网思维：IT男带着肉夹馍杀回五道口</a>
					<div>
						互联网思维:IT男带着肉夹馍杀回五道口本报记者 陈璐 实习生 陈晔今年4月7日开始,一篇&lt;我为什么要辞职去卖肉夹馍&gt;的文章在微信朋友圈里疯传.该文讲述了一个IT男从名校毕业后在北京著名互联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW5gQz.html" rel="bookmark" class="title">小灵通退市进度缓慢2000万用户服务难保障</a>
					<div>
						作者: 王茜 工信部近日公布的2011年上半年电信行业运营情况显示,上半年,全国无线市话(即&quot;小灵通&quot;)用户减少579.1万户,达到2284.1万户,在固定电话用户中所占的比重为7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvgeWM.html" rel="bookmark" class="title">iPad2成水客新宠：带过海关可赚80元代工费</a>
					<div>
						昨日,一名水客携带十几部旧iPhone手机当场被海关人员抓获.南都记者 陈文才 摄 海关联合多部门一小时内查获50万元的奶粉电脑 南都讯 记者王日晶 通讯员丁小玲王娈鸾 在水客们眼中,走私奶粉的热潮还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6oWXp.html" rel="bookmark" class="title">Silverlight 2&period;5D RPG游戏技巧与特效处理：（二十）副本系统</a>
					<div>
						前段时间晚上把小孩哄睡后带着老婆体验了一把&lt;星辰变&gt;,让我印象较深的可怜只有其副本系统,这里想说并不是&lt;星辰变&gt;的副本有多么有趣:相反,其枯燥到了无生趣可言,几乎你每天都得花费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBNnWb.html" rel="bookmark" class="title">三星三款新机现身WiFi联盟</a>
					<div>
						尽管Galaxy&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;S III遥遥无期,但是三星还是不断有新品出 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
